#include <stdio.h>
#include <stdlib.h>

void f1()
{
        int spaces = 0;
        int in_teh_beginning = 1;
        int c;

        while ((c = getchar()) != EOF) {
                if (in_teh_beginning) {
                        switch (c) {
                        case ' ':
                                spaces++;
                                break;
                        case '\n':
                                if (spaces) {
                                        putchar('#');
                                        spaces = 0;
                                }
                                putchar(c);
                                break;
                        default:
                                while (spaces) {
                                        putchar('@');
                                        spaces--;
                                }
                                in_teh_beginning = 0;
                                putchar(c);
                        }
                } else {
                        in_teh_beginning = (c == '\n');
                        putchar(c);
                }
        }
}


void f2()
{
        char *str = NULL;
        size_t len, res;

        while ((res = getline(&str, &len, stdin)) != -1) {
                int all_spaces = 0;
                for (size_t i = 0; i < (res-1); i++)
                        if (!(all_spaces = (str[i] == ' ')))
                                break;
                printf("%s", all_spaces ? "#\n" : str);

        }
        free(str);
}


int main()
{
        /* f1(); */
        f2();
        return 0;
}